<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.22
Name: Verordnungsstatus Heil-/Hilfsmittel
Description: Heil- und Hilfsmittel bereits verordnet?
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123">
   <title>Verordnungsstatus Heil-/Hilfsmittel</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.22
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]]
Item: (VerordnungsstatusHeilHilfsmittel)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.22
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]
Item: (VerordnungsstatusHeilHilfsmittel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]"
         id="d42e6505-false-d21623e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.html"
              test="string(@classCode) = ('OBS')">(VerordnungsstatusHeilHilfsmittel): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.html"
              test="string(@moodCode) = ('EVN')">(VerordnungsstatusHeilHilfsmittel): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']) &gt;= 1">(VerordnungsstatusHeilHilfsmittel): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']) &lt;= 1">(VerordnungsstatusHeilHilfsmittel): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.html"
              test="count(hl7:code[(@code = 'HHMBVO' and @codeSystem = '1.2.276.0.76.3.1.261.1.10.5.100') or @nullFlavor]) &gt;= 1">(VerordnungsstatusHeilHilfsmittel): Element hl7:code[(@code = 'HHMBVO' and @codeSystem = '1.2.276.0.76.3.1.261.1.10.5.100') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.html"
              test="count(hl7:code[(@code = 'HHMBVO' and @codeSystem = '1.2.276.0.76.3.1.261.1.10.5.100') or @nullFlavor]) &lt;= 1">(VerordnungsstatusHeilHilfsmittel): Element hl7:code[(@code = 'HHMBVO' and @codeSystem = '1.2.276.0.76.3.1.261.1.10.5.100') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.html"
              test="count(hl7:value) &gt;= 1">(VerordnungsstatusHeilHilfsmittel): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.html"
              test="count(hl7:value) &lt;= 1">(VerordnungsstatusHeilHilfsmittel): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.22
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']
Item: (VerordnungsstatusHeilHilfsmittel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']"
         id="d42e6511-false-d21670e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VerordnungsstatusHeilHilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.22')">(VerordnungsstatusHeilHilfsmittel): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.22' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.22
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]/hl7:id
Item: (VerordnungsstatusHeilHilfsmittel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]/hl7:id"
         id="d42e6516-false-d21684e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VerordnungsstatusHeilHilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.22
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]/hl7:code[(@code = 'HHMBVO' and @codeSystem = '1.2.276.0.76.3.1.261.1.10.5.100') or @nullFlavor]
Item: (VerordnungsstatusHeilHilfsmittel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]/hl7:code[(@code = 'HHMBVO' and @codeSystem = '1.2.276.0.76.3.1.261.1.10.5.100') or @nullFlavor]"
         id="d42e6518-false-d21695e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VerordnungsstatusHeilHilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.html"
              test="@nullFlavor or (@code='HHMBVO' and @codeSystem='1.2.276.0.76.3.1.261.1.10.5.100' and @displayName='Heil-/Hilfsmittel bereits verordnet?')">(VerordnungsstatusHeilHilfsmittel): Der Elementinhalt MUSS einer von 'code 'HHMBVO' codeSystem '1.2.276.0.76.3.1.261.1.10.5.100' displayName='Heil-/Hilfsmittel bereits verordnet?'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.22
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]/hl7:value
Item: (VerordnungsstatusHeilHilfsmittel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]/hl7:value"
         id="d42e6524-false-d21711e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.22-2018-08-29T085123.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VerordnungsstatusHeilHilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
