<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.3.11
Name: Arbeitsunfähigkeitsbescheinigung (DGUV) 
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909">
   <title>Arbeitsunfähigkeitsbescheinigung (DGUV) </title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]]
Item: (TemporaryDisablementSectionDGUV)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]
Item: (TemporaryDisablementSectionDGUV)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]"
         id="d42e4757-false-d18982e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(TemporaryDisablementSectionDGUV): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(TemporaryDisablementSectionDGUV): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']) &gt;= 1">(TemporaryDisablementSectionDGUV): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']) &lt;= 1">(TemporaryDisablementSectionDGUV): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="count(hl7:code[(@code = 'TEMPDISABLE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &lt;= 1">(TemporaryDisablementSectionDGUV): Element hl7:code[(@code = 'TEMPDISABLE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="count(hl7:title) &lt;= 1">(TemporaryDisablementSectionDGUV): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(TemporaryDisablementSectionDGUV): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(TemporaryDisablementSectionDGUV): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']
Item: (TemporaryDisablementSectionDGUV)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']"
         id="d42e4763-false-d19037e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementSectionDGUV): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.3.11')">(TemporaryDisablementSectionDGUV): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.3.11' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]/hl7:code[(@code = 'TEMPDISABLE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]
Item: (TemporaryDisablementSectionDGUV)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]/hl7:code[(@code = 'TEMPDISABLE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]"
         id="d42e4768-false-d19052e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementSectionDGUV): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="@nullFlavor or (@code='TEMPDISABLE' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(TemporaryDisablementSectionDGUV): Der Elementinhalt MUSS einer von 'code 'TEMPDISABLE' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]/hl7:title
Item: (TemporaryDisablementSectionDGUV)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]/hl7:title"
         id="d42e4773-false-d19068e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementSectionDGUV): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="text()='Arbeitsunfähigkeit'">(TemporaryDisablementSectionDGUV): Der Elementinhalt von 'hl7:title' MUSS ''Arbeitsunfähigkeit'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]/hl7:text[not(@nullFlavor)]
Item: (TemporaryDisablementSectionDGUV)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]/hl7:text[not(@nullFlavor)]"
         id="d42e4780-false-d19082e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementSectionDGUV): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.11
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.21']]]
Item: (TemporaryDisablementSectionDGUV)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.11']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.21']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="string(@typeCode) = ('COMP')">(TemporaryDisablementSectionDGUV): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.3.11-2018-08-13T160909.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TemporaryDisablementSectionDGUV): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@contextConductionInd"/>'</assert>
   </rule>
</pattern>
