<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.29
Name: Arbeitsunfähigkeitsdauer Observation
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359">
   <title>Arbeitsunfähigkeitsdauer Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.29
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]]
Item: (Expectedinabilitytowork)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.29
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]
Item: (Expectedinabilitytowork)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]"
         id="d42e6945-false-d22580e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="string(@classCode) = ('OBS')">(Expectedinabilitytowork): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="string(@moodCode) = ('EVN')">(Expectedinabilitytowork): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']) &gt;= 1">(Expectedinabilitytowork): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']) &lt;= 1">(Expectedinabilitytowork): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="count(hl7:code[@code = 'X-EXPIATWRK']) &gt;= 1">(Expectedinabilitytowork): Element hl7:code[@code = 'X-EXPIATWRK'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="count(hl7:code[@code = 'X-EXPIATWRK']) &lt;= 1">(Expectedinabilitytowork): Element hl7:code[@code = 'X-EXPIATWRK'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="count(hl7:text) &lt;= 1">(Expectedinabilitytowork): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(Expectedinabilitytowork): Element hl7:statusCode[@code = 'completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.29
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']
Item: (Expectedinabilitytowork)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']"
         id="d42e6951-false-d22631e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expectedinabilitytowork): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.29')">(Expectedinabilitytowork): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.29' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.29
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]/hl7:code[@code = 'X-EXPIATWRK']
Item: (Expectedinabilitytowork)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]/hl7:code[@code = 'X-EXPIATWRK']"
         id="d42e6956-false-d22646e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expectedinabilitytowork): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="string(@code) = ('X-EXPIATWRK')">(Expectedinabilitytowork): Der Wert von code MUSS 'X-EXPIATWRK' sein. Gefunden: "<value-of select="@code"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.29
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]/hl7:text
Item: (Expectedinabilitytowork)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]/hl7:text"
         id="d42e6961-false-d22660e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expectedinabilitytowork): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.29
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (Expectedinabilitytowork)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e6964-false-d22671e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expectedinabilitytowork): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="@nullFlavor or (@code='completed')">(Expectedinabilitytowork): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.29
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]/hl7:value
Item: (Expectedinabilitytowork)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.29']]/hl7:value"
         id="d42e6969-false-d22687e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expectedinabilitytowork): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Expectedinabilitytowork): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Expectedinabilitytowork): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="@value">(Expectedinabilitytowork): Attribut @value MUSS vorkommen.</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="not(@value) or matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')">(Expectedinabilitytowork): Attribute @value ist keine gültige int Zahl <value-of select="@value"/>
      </assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@unit),'\s'))"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210615T140609/tmp-1.2.276.0.76.3.1.261.1.10.4.29-2018-08-13T153359.html"
              test="not(@unit) or empty($theAttValue[not(. = (('wk','mo')))])">(Expectedinabilitytowork): Der Wert von unit MUSS 'Code wk oder Code mo' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
</pattern>
